-- Initialize Conversation object

function InitConv_SissyToOlivetti()
	Sissy.SpeechHeight = 240;
	Olivetti.SpeechHeight = 240;
	Game.DisableScene = true;
	
	StatusLineText.Text = ''
	Camera.FollowNone()
	
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	
	Camera.SetPosition(299.865692138672,16.4534435272217,-145.55322265625);
	Camera.SetTargetPosition(-25,26,7.3657054901123);

	Sissy.WalkingAnimation = 'standing'; 
	Olivetti.WalkingAnimation = 'Olivetti_standing'; 
	Bouncer.WalkingAnimation = 'bouncer_standing'; 
	
	Sissy.SetPosition(195.516464233398,22.4660320281982,-75.9530944824219);
	Sissy.SetRotation(-174.222320556641,0,0);
	Olivetti.SetPosition(183.910003662109,22.4672241210938,-109.330001831055);
	Olivetti.SetRotation(48.9000015258789,0,0);

	
	Bouncer.SetPosition(87.4300003051758,22.4660243988037,-249.511703491211);
	Bouncer.SetRotation(119.599998474121,0,0);


	NewConv.ClearNodes();
	ConvBackground.Visible = 1;
	ConvBackground.Alpha = 0.7;
 
	OlivettiStartNode = NewConv.AddNode();
 
	--if knowsAboutCamera == 0 then
	if reporterSaid ~= 1 then
	NewConv.AddOption(OlivettiStartNode,"Are you a reporter?",'OlivettiReporter');
	end
	NewConv.AddOption(OlivettiStartNode,"Can you help me get to Stack-o-lee?",'OlivettiStack');
	if reporterSaid == 1 then
	NewConv.AddOption(OlivettiStartNode,"About the camera...",'GoToCameraNode');
	end	
	NewConv.AddOption(OlivettiStartNode,"Goodbye, Mr.",'ExitOlivettiConv');
 
	OlivettiCamera = NewConv.AddNode();
	
	NewConv.AddOption(OlivettiCamera,"Whaddya mean girls like me?",'OlivettiGirls');
	NewConv.AddOption(OlivettiCamera,"Why'd he take your camera?",'OlivettiCameraTake');
	NewConv.AddOption(OlivettiCamera,"Enough about the camera...",'BackToStartNode');
 

	Olivetti.Say ("Hi there.", 3000, 'ShowStartNode');
	
 
end



-- Show Node Functions

function ShowStartNode()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	ConvBackground.Visible = 1;
  NewConv.ShowNode(OlivettiStartNode);
end

function ShowCameraNode()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(OlivettiCamera);
end


--- Conversation scripts

function BackToStartNode ()

hideConv()
Sissy.Say ("Enough about the camera...", 3000, 'ShowStartNode')

end

function GoToCameraNode ()

hideConv()
Sissy.Say ("About the camera...", 3000, 'ShowCameraNode')

end

function OlivettiReporter()
  NewConv.RemoveOption(OlivettiStartNode,'Are you a reporter?');
	NewConv.RemoveOption(OlivettiStartNode,"Goodbye, Mr.");
	NewConv.AddOption(OlivettiStartNode,"About the camera...",'GoToCameraNode');
	NewConv.AddOption(OlivettiStartNode,"Goodbye, Mr.",'ExitOlivettiConv');
	reporterSaid = 1;
	if knowsAboutCamera == 0 then
		knowsAboutCamera = 1
	elseif knowsAboutCamera == 1 then
		knowsAboutCamera = 2;
	end
	hideConv()
	dramaCam(function()
		Sissy.Say("Are you a reporter?",3000, 'OlivettiConvCU');
		coroutine.yield();
		Olivetti.Say("And a photographer, too.", 3000);
		Olivetti.Say("Olivetti's the name.", 3000);
		Olivetti.Say("And before you ask,\nI can't take your picture...", 3000)
		Olivetti.Say("The clown on the door\n took my camera.", 3000, 'OlivettiConvSissyCU')
		coroutine.yield();
		Sissy.Say ("What makes you think I'd ask?", 3000, 'OlivettiConvCU')
		coroutine.yield();
		Olivetti.Say("Girls like you always do.",3000, 'ShowCameraNode')
	end)
end

function OlivettiStack()
	hideConv()
	dramaCam(function()
		Sissy.Say ("Can you help me\nget to Stack-o-lee?", 3000, 'OlivettiConvCU');
		coroutine.yield()
		Olivetti.Say("I wish!",3000)
		Olivetti.Say("I've spent months trying\nto get close to him.",3000,'OlivettiConvSissyCU')
		coroutine.yield()
		Sissy.Say ("Guess you ain't his type.", 3000, 'OlivettiConvCU');
		coroutine.yield()
		Olivetti.Say("You might be.",3000)		
		Olivetti.Say("Give the ape\nover there a banana...",3000)		
		Olivetti.Say("... he might even fix you up.",3000)	
		Olivetti.Say("But if you take my advice...",3000)		
		Olivetti.Say("...you'll steer clear\nof Stack-o-Lee.",3000, 'ShowStartNode')		
	end)

end

function OlivettiGirls()
	hideConv()
	dramaCam(function()
		Sissy.Say ("Whaddya mean girls like me?", 3000, 'OlivettiConvCU');
		coroutine.yield()
		Olivetti.Say("Sad luck girls.",3000)
		Olivetti.Say("I saw what you got from the\nbird in the blue jacket...",3000)
		Olivetti.Say("Is he your pusher?",3000, 'OlivettiConvSissyCU')
		coroutine.yield()
		Sissy.Say ("He's my boyfriend!", 3000, 'OlivettiConvCU');
		coroutine.yield()	
		Olivetti.Say("Honey, you're a dime novel\nwith a pink cover.",3000, 'OlivettiConvSissyCU')
		coroutine.yield()
		Sissy.Say ("Oh yeah?", 3000, 'ShowCameraNode');
	end)

end

function OlivettiCameraTake()
hideConv()
		NewConv.RemoveOption(OlivettiCamera,"Why do you want a picture of Stack?");
		NewConv.RemoveOption(OlivettiCamera,"Enough about the camera...");
		NewConv.AddOption(OlivettiCamera,"Why do you want a picture of Stack?",'OlivettiStackPhoto');
		NewConv.AddOption(OlivettiCamera,"Enough about the camera...",'BackToStartNode');
		
	dramaCam(function()
		Sissy.Say ("Why'd he take your camera?", 3000, 'OlivettiConvCU')
		coroutine.yield()
		Olivetti.Say("I tried to take a picture of his boss.",3000)	
		Olivetti.Say("Mr Lee didn't like that.",3000, 'ShowCameraNode')	

		
		
	end)

end

function OlivettiStackPhoto()
hideConv()
	dramaCam(function()

		Sissy.Say ("Why do you want a\npicture of Stack?", 3000, 'OlivettiConvCU'); 
		coroutine.yield()
		Olivetti.Say ("You ever seen\nStack in person?", 3000, 'OlivettiConvSissyCU'); 	
		coroutine.yield()
		Sissy.Say ("Not up close.", 3000, 'OlivettiConvCU');
		coroutine.yield()
		Olivetti.Say ("Not many people have.", 3000); 
		Olivetti.Say ("He certainly don't let\npeople like me get close.", 3000); 
		Olivetti.Say ("To folks here he's just\nthe man in the stetson.", 3000, 'OlivettiConvSissyCU');
		coroutine.yield()		
		Sissy.Say ("And...?", 3000, 'OlivettiConvCU'); 
		coroutine.yield()
		Olivetti.Say ("And he's a mobster.", 3000); 	
		Olivetti.Say ("I got a picture of him...", 3000)
		Olivetti.Say ("...with the boss of the\nMinneapolis potato racket.", 3000,'OlivettiConvSissyCU');
		coroutine.yield()
		Sissy.Say ("You too scared to print it?", 3000, 'OlivettiConvCU');
		coroutine.yield()		
		Olivetti.Say ("No one will believe\nit's the same guy...", 3000);	
		Olivetti.Say ("...unless I take a picture\nof him in his hat.", 3000,'OlivettiConvSissyCU');
		coroutine.yield()
		Sissy.Say ("I'm...", 2000); 
		Olivetti.Say ("What?");
		Sissy.Say ("Never mind.", 2000, 'ShowCameraNode'); 		
		
	end)
	
end


function ExitOlivettiConv()
  NewConv.HideNodes();
  ConvBackground.RunAnimation(FadeOutDiagAni.ID,'closeOlivettiConv');
  Sissy.Say("Goodbye, Mr.");
	Olivetti.Say ("See you around.");
 
end

-- Camera Control Functions

 function OlivettiConvWide()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(299.865692138672,16.4534435272217,-145.55322265625);
	Camera.SetTargetPosition(-25,26,7.3657054901123);

	coroutine.resume (co_drama);
end

 function OlivettiConvCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(245.259643554687,24.0734901428223,-53.6508598327637);
	Camera.SetTargetPosition(0,30,-231);
	coroutine.resume (co_drama);
end

 function OlivettiConvSissyCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(204.255462646484,27.6091194152832,-157.806900024414);
	Camera.SetTargetPosition(120,20,200);
	coroutine.resume (co_drama);
end



-- Hide / Exit Functions

function closeOlivettiConv()
 ConvBackground.Visible = 0;
  if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	Camera.SetPosition(273.513031005859,14.8945865631104,-244.232757568359)
	Camera.SetTargetPosition(0,10,0); 
 Camera.FollowActor(0);
 GUIActive = true;
 Sissy.SpeechHeight = 100;
 Olivetti.SpeechHeight = 100;
 	Sissy.WalkingAnimation = 'walking'; 
	Olivetti.WalkingAnimation = 'Olivetti_walking'; 
	Bouncer.WalkingAnimation = 'Bouncer_walking'; 

 Game.DisableScene = 0;
 -- Were are done, enable scene

	
end

function hideConv()
	ConvBackground.Visible = 0;
  NewConv.HideNodes();
end